.navbar-gradient {
  background-image: var(--bs-gradient);
}

/* Device info Modal */
.modal {
  display: none; 
  position: fixed; 
  z-index: 1; 
  padding: 20px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgb(0,0,0); 
  background-color: rgba(0,0,0,0.4);
  margin-top:50px; /* Space for navigation bar */
}

.modal-content {
  background-color: #fff;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  height:80%;
  overflow:auto;
}

.modal-content table {
  background-color: #fff;
  float:left;
  margin:20px;
}

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover, .close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

/* End of device info modal */

.order-num {
  width:80px;
}

.size_count {
  background-color:#000;
  color: #fff;
  text-align:center;
  padding:8px;
  bottom:0;
  right:0;
  position: sticky;
}

.no-wrap {
  white-space:nowrap;
}

.nopad {
  padding-left:2px;
  padding-right:2px;
}

i {
  font-size:15px;
}

#display_barcode img{
  height:100px;
}


/* Rounded Table elements */
.tbl-container {
  width: 400px;
  margin-top: 10px;
  margin-left: 10px;
}

.bg-red {
  background-color: red;
  color: white;
}

.bdr {
  border-radius: 6px;
  overflow: hidden;
}

/* End of rounded table elements */

/* */
i {
  font-size:15px;
}

/* Table TH buttons as text */
.astext {
  background:none;
  border:none;
  margin:0;
  padding:0;
  cursor: pointer;
  font-size: 14px;
  line-height: 1.2;
  font-weight: bold;
  font-family: "Raleway", "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #222;
  webkit-text-size-adjust: 100%;
}

/* Padding for the non-button table headers*/
.m5{
  background:none;
  border:none;
  margin:0;
  padding:0;
  padding-top:5px;
  cursor: pointer;
  font-size: 14px;
  line-height: 1.2;
  font-weight: bold;
  font-family: "Raleway", "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #222;
  webkit-text-size-adjust: 100%;
}

/* SSD progress color */
.bg-grey {
  background-color:#3d3d3d;
}

.bg-lgrey {
  background-color:#d1d1d1;
}

.pad2 {
  padding-top: 2px;
}

.b-divider {
  height: .15rem;
  background-color: rgba(0, 0, 0, .1);
  border: solid rgba(0, 0, 0, .15);
  border-width: 1px 0;
  box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.upload-secondary::file-selector-button {
    background-color: #6c757d!important;
    border-color: #6c757d!important;
    color:#fff;
}

.upload-secondary::file-selector-button:hover {
    background-color: #6c757d!important;
    border-color: #6c757d!important;
    color:#fff;
}

.table-scroll-60 {
  height:60vh;
  max-height:60vh;
  display: block; 
  overflow-y: scroll;
}

.table-scroll-75 {
  height:75vh;
  max-height:75vh;
  display: block; 
  overflow-y: scroll;
}

.vh-50{
  height:50vh;
}

.vh-60{
  height:60vh;
}

.vh-75{
  height:75vh;
}


